weka.gui

## Class LookAndFeel

- java.lang.Object
- - weka.gui.LookAndFeel

-     public class LookAndFeel
      extends java.lang.Object

  A little helper class for setting the Look and Feel of the user interface. Was necessary, since Java 1.5 sometimes crashed the WEKA GUI (e.g. under Linux/Gnome). Running this class from the commandline will print all available Look and Feel themes.
  Version:
    $Revision: 12702 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_FILE` The name of the properties file

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookAndFeel()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `getAvailableLookAndFeelClasses()` Get a list of fully qualified class names of available look and feels
    `static java.lang.String[]` | `getInstalledLookAndFeels()` returns an array with the classnames of all the installed LnFs
    `static java.lang.String` | `getSystemLookAndFeel()` returns the system LnF classname
    `static void` | `main(java.lang.String[] args)` prints all the available LnFs to stdout
    `static boolean` | `setLookAndFeel()` sets the look and feel to the one in the props-file or if not set the default one of the system
    `static boolean` | `setLookAndFeel(java.lang.String classname)` sets the look and feel to the specified class
    `static void` | `setLookAndFeel(java.lang.String appID, java.lang.String lookAndFeelKey, java.lang.String defaultLookAndFeel)` Set the look and feel from loaded settings

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_FILE

          public static java.lang.String PROPERTY_FILE

      The name of the properties file

  - ### Constructor Detail

    - #### LookAndFeel

          public LookAndFeel()

  - ### Method Detail

    - #### getAvailableLookAndFeelClasses

          public static java.util.List<java.lang.String> getAvailableLookAndFeelClasses()

      Get a list of fully qualified class names of available look and feels
      Returns:
        a list of look and feel class names that are available on this platform

    - #### setLookAndFeel

          public static boolean setLookAndFeel(java.lang.String classname)

      sets the look and feel to the specified class
      Parameters:
        `classname` - the look and feel to use
      Returns:
        whether setting was successful

    - #### setLookAndFeel

          public static void setLookAndFeel(java.lang.String appID,
                                            java.lang.String lookAndFeelKey,
                                            java.lang.String defaultLookAndFeel)
                                     throws java.io.IOException

      Set the look and feel from loaded settings
      Parameters:
        `appID` - the ID of the application to load settings for
        `lookAndFeelKey` - the key to look up the look and feel in the settings
      Throws:
        `java.io.IOException` - if a problem occurs when loading settings

    - #### setLookAndFeel

          public static boolean setLookAndFeel()

      sets the look and feel to the one in the props-file or if not set the default one of the system
      Returns:
        whether setting was successful

    - #### getSystemLookAndFeel

          public static java.lang.String getSystemLookAndFeel()

      returns the system LnF classname
      Returns:
        the name of the System LnF class

    - #### getInstalledLookAndFeels

          public static java.lang.String[] getInstalledLookAndFeels()

      returns an array with the classnames of all the installed LnFs
      Returns:
        the installed LnFs

    - #### main

          public static void main(java.lang.String[] args)

      prints all the available LnFs to stdout
      Parameters:
        `args` - the commandline options